## com.google.gwt.core.ext.typeinfo
Class JMethod

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JAbstractMethod
          com.google.gwt.core.ext.typeinfo.JMethod

All Implemented Interfaces:
  HasAnnotations, HasMetaData, HasTypeParameters

Direct Known Subclasses:
  JAnnotationMethod

    public class JMethod

extends JAbstractMethod

Represents a method declaration.

Constructor Summary
`JMethod(JClassType enclosingType, java.lang.String name)`
`JMethod(JClassType enclosingType, java.lang.String name, java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations, JTypeParameter[] jtypeParameters)`

Method Summary
`JClassType` | `getEnclosingType()` Gets the type in which this method or constructor was declared.
`java.lang.String` | `getReadableDeclaration()`
`java.lang.String` | `getReadableDeclaration(boolean noAccess, boolean noNative, boolean noStatic, boolean noFinal, boolean noAbstract)`
`JType` | `getReturnType()`
`boolean` | `isAbstract()`
`JConstructor` | `isConstructor()`
`boolean` | `isFinal()`
`JMethod` | `isMethod()`
`boolean` | `isNative()`
`boolean` | `isStatic()`
`void` | `setReturnType(JType type)`
`java.lang.String` | `toString()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JAbstractMethod
`addMetaData, addModifierBits, addThrows, findParameter, getAnnotation, getMetaData, getMetaDataTags, getModifierBits, getName, getParameters, getThrows, getTypeParameters, isAnnotationMethod, isAnnotationPresent, isDefaultAccess, isPrivate, isProtected, isPublic, isVarArgs, setVarArgs, toStringParamsAndThrows, toStringTypeParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMethod

    public JMethod(JClassType enclosingType,
                   java.lang.String name)

### JMethod

    public JMethod(JClassType enclosingType,
                   java.lang.String name,
                   java.util.Map<java.lang.Class<? extends java.lang.annotation.Annotation>,java.lang.annotation.Annotation> declaredAnnotations,
                   JTypeParameter[] jtypeParameters)

Method Detail

### getEnclosingType

    public JClassType getEnclosingType()

  Description copied from class: `JAbstractMethod`
  Gets the type in which this method or constructor was declared.

  Specified by:
    `getEnclosingType` in class `JAbstractMethod`

### getReadableDeclaration

    public java.lang.String getReadableDeclaration()

  Specified by:
    `getReadableDeclaration` in class `JAbstractMethod`

### getReadableDeclaration

    public java.lang.String getReadableDeclaration(boolean noAccess,
                                                   boolean noNative,
                                                   boolean noStatic,
                                                   boolean noFinal,
                                                   boolean noAbstract)

### getReturnType

    public JType getReturnType()

### isAbstract

    public boolean isAbstract()

### isConstructor

    public JConstructor isConstructor()

  Specified by:
    `isConstructor` in class `JAbstractMethod`

### isFinal

    public boolean isFinal()

### isMethod

    public JMethod isMethod()

  Specified by:
    `isMethod` in class `JAbstractMethod`

### isNative

    public boolean isNative()

### isStatic

    public boolean isStatic()

### setReturnType

    public void setReturnType(JType type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`